Package: gauche / 0.9.6-10

Metadata

Package Version Patches format
gauche 0.9.6-10 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
45_reproducible_sort_files.patch | (download)

src/gen-staticinit.scm | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

---
34_alpha_stackbottom.patch | (download)

gc/include/private/gcconfig.h | 1 1 + 0 - 0 !
gc/os_dep.c | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 1 deletion(-)

 fix alpha's ftbfs which was by:
  GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
44_endian_not_asm_byteorder_h.patch | (download)

ext/tls/axTLS/ssl/os_port.h | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

---
42_hppa_libatomic_ops.patch | (download)

gc/libatomic_ops/src/atomic_ops/sysdeps/gcc/hppa.h | 14 14 + 0 - 0 !
1 file changed, 14 insertions(+)

 fix hppa libatomic_ops
43_makedoc_gzip_best.patch | (download)

doc/makedoc.scm | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 specify options for gzip at the invocation by makedoc
	We used to use the environment variable, like  GZIP='-9 -n'
	But this usage was deprecated.
02_linking.patch | (download)

configure.ac | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix linking
 Binaries should not set RPATH for /usr/lib.
 Original Gauche would add $(LIB_INSTALL_DIR), which would be needed
 if it were /usr/local/lib.  It will /usr/lib for Debian packaging,
 which is not needed at all.
 This fixes lintian errors of 'binary-or-shlib-defines-rpath'.
 See the following: http://wiki.debian.org/RpathIssue
03_rm_without_xlink.patch | (download)

ext/Makefile.ext.in | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 fix make clean/distclean process
 Don't use xlink because it uses 'gosh'.
15_ext_termios.patch | (download)

configure.ac | 7 2 + 5 - 0 !
ext/termios/Makefile.in | 5 3 + 2 - 0 !
ext/termios/termios.ac | 27 27 + 0 - 0 !
ext/termios/termios.c | 1 1 + 0 - 0 !
ext/termios/termios.scm | 1 1 + 0 - 0 !
ext/termios/termios_config.h.in | 15 15 + 0 - 0 !
src/gauche/config.h.in | 30 24 + 6 - 0 !
7 files changed, 73 insertions(+), 13 deletions(-)

 correct library dependency for openpty/forkpty
16_no_LIBS.patch | (download)

ext/Makefile.ext.in | 2 1 + 1 - 0 !
src/Makefile.in | 10 5 + 5 - 0 !
2 files changed, 6 insertions(+), 6 deletions(-)

 avoid useless dependency on libs
 Don't add @LIBS@ for extensions.
 Killing @LIBS@ is only OK for Debian.  More good solution is required
 for upstream.
20_check_exit_status.patch | (download)

Makefile.in | 3 2 + 1 - 0 !
1 file changed, 2 insertions(+), 1 deletion(-)

 don't ignore exit status of make
23_sh4_requires_mieee.patch | (download)

configure.ac | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix ftbfs on sh4 (bug#612554)
26_no_microversion_in_soname.patch | (download)

configure.ac | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 don't put micro version in soname
28_test_under_pty.patch | (download)

ext/termios/test-termios.scm | 155 155 + 0 - 0 !
ext/termios/test.scm | 171 17 + 154 - 0 !
2 files changed, 172 insertions(+), 154 deletions(-)

 test under pty so that it can run on buildd
30_link_pthread.patch | (download)

ext/tls/Makefile.in | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 add missing -lpthread
31_ldflags_for_ext.patch | (download)

ext/Makefile.ext.in | 2 1 + 1 - 0 !
ext/tls/Makefile.in | 2 1 + 1 - 0 !
2 files changed, 2 insertions(+), 2 deletions(-)

 include @ldflags@ for ext
35_axtls_error.patch | (download)

ext/tls/Makefile.in | 6 6 + 0 - 0 !
ext/tls/axTLS/ssl/test/killopenssl.sh | 9 8 + 1 - 0 !
2 files changed, 14 insertions(+), 1 deletion(-)

 dump axtls errors
39_net_test.patch | (download)

ext/net/test.scm | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 net test patch
40_tls_test_localhost.patch | (download)

ext/tls/axTLS/ssl/test/ssltest.c | 10 5 + 5 - 0 !
1 file changed, 5 insertions(+), 5 deletions(-)

 tls test patch
	Limit network access to localhost of IPv4
	More debug output to stderr.out
	With this change, found that OpenSSL (>= 1.1.1) requires more keysize
42_cflags_reproducible.patch | (download)

configure.ac | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 reproducible build: filter cflags's -f.*-prefix-map